<?php
	/**
		* Plugin linkMyComments
		*
		* License: http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
		*
		*
		*
		* @package	PLX
		* @version	1.1
		* @date	15/03/2025
		* @author	Cyril MAGUIRE & Griboval
	**/
	
	class linkMyComments extends plxPlugin {
		
		/**
			* Constructeur de la classe inMyPluxml
			*
			* @param	default_lang	langue par défaut utilisée par PluXml
			* @return	null
			* @author	Stephane F
		**/
		public function __construct($default_lang) {
			
			# Appel du constructeur de la classe plxPlugin (obligatoire)
			parent::__construct($default_lang);
			
			# Déclarations des hooks		
			$this->addHook('plxMotorParseCommentaire', 'plxMotorParseCommentaire');
		}
		
		
		/* */
		public  function text2links($str='') {
			
			if($str=='' or !preg_match('/(http|www\.|@)/i', $str)) { return $str; }
			
			$lines = explode("\n", $str); $new_text = '';
			foreach($lines as  $k =>$l){ 
				// replace links:
				$l = preg_replace("/([ \t]|^)www\./i", "\\1http://www.", $l);
				$l = preg_replace("/([ \t]|^)ftp\./i", "\\1ftp://ftp.", $l);
				
				$l = preg_replace("/(http:\/\/[^ )\r\n!]+)/i", 
				"<a href=\"\\1\" target="_blank" rel="nofollow">\\1</a>", $l);
				
				$l = preg_replace("/(https:\/\/[^ )\r\n!]+)/i", 
				"<a href=\"\\1\" target="_blank" rel="nofollow">\\1</a>", $l);
				
				$l = preg_replace("/(ftp:\/\/[^ )\r\n!]+)/i", 
				"<a href=\"\\1\" target="_blank" rel="nofollow">\\1</a>", $l);
				
				$l = preg_replace(
				"/([-a-z0-9_]+(\.[_a-z0-9-]+)*@([a-z0-9-]+(\.[a-z0-9-]+)+))/i", 
				"<a href=\"mailto:\\1\" target="_blank" rel="nofollow">\\1</a>", $l);
				
				$new_text .= $l."\n";
			}
			
			return $new_text;
		}
		
		public function plxMotorParseCommentaire() {
			$string = '
			$plxPlugin=$this->plxPlugins->getInstance(\'linkMyComments\');
			$com[\'content\'] = $plxPlugin->text2links($com[\'content\']);
			';
			echo "<?php ".$string."?>";
		}
	}